IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ffff::/16- First address
ffff::- Last address
ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ffff:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
f.f.f.f.ip6.arpa
Split into smaller subnets
ffff::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | ffff::/24 | ffff:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ffff:100::/24 | ffff:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ffff:200::/24 | ffff:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ffff:300::/24 | ffff:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ffff:400::/24 | ffff:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ffff:500::/24 | ffff:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ffff:600::/24 | ffff:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ffff:700::/24 | ffff:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ffff:800::/24 | ffff:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ffff:900::/24 | ffff:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ffff:a00::/24 | ffff:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ffff:b00::/24 | ffff:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ffff:c00::/24 | ffff:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ffff:d00::/24 | ffff:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ffff:e00::/24 | ffff:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ffff:f00::/24 | ffff:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ffff:1000::/24 | ffff:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ffff:1100::/24 | ffff:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ffff:1200::/24 | ffff:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ffff:1300::/24 | ffff:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ffff:1400::/24 | ffff:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ffff:1500::/24 | ffff:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ffff:1600::/24 | ffff:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ffff:1700::/24 | ffff:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ffff:1800::/24 | ffff:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ffff:1900::/24 | ffff:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ffff:1a00::/24 | ffff:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ffff:1b00::/24 | ffff:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ffff:1c00::/24 | ffff:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ffff:1d00::/24 | ffff:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ffff:1e00::/24 | ffff:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ffff:1f00::/24 | ffff:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ffff:2000::/24 | ffff:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ffff:2100::/24 | ffff:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ffff:2200::/24 | ffff:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ffff:2300::/24 | ffff:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ffff:2400::/24 | ffff:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ffff:2500::/24 | ffff:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ffff:2600::/24 | ffff:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ffff:2700::/24 | ffff:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ffff:2800::/24 | ffff:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ffff:2900::/24 | ffff:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ffff:2a00::/24 | ffff:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ffff:2b00::/24 | ffff:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ffff:2c00::/24 | ffff:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ffff:2d00::/24 | ffff:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ffff:2e00::/24 | ffff:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ffff:2f00::/24 | ffff:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ffff:3000::/24 | ffff:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ffff:3100::/24 | ffff:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ffff:3200::/24 | ffff:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ffff:3300::/24 | ffff:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ffff:3400::/24 | ffff:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ffff:3500::/24 | ffff:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ffff:3600::/24 | ffff:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ffff:3700::/24 | ffff:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ffff:3800::/24 | ffff:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ffff:3900::/24 | ffff:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ffff:3a00::/24 | ffff:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ffff:3b00::/24 | ffff:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ffff:3c00::/24 | ffff:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ffff:3d00::/24 | ffff:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ffff:3e00::/24 | ffff:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ffff:3f00::/24 | ffff:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ffff:4000::/24 | ffff:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ffff:4100::/24 | ffff:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ffff:4200::/24 | ffff:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ffff:4300::/24 | ffff:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ffff:4400::/24 | ffff:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ffff:4500::/24 | ffff:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ffff:4600::/24 | ffff:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ffff:4700::/24 | ffff:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ffff:4800::/24 | ffff:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ffff:4900::/24 | ffff:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ffff:4a00::/24 | ffff:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ffff:4b00::/24 | ffff:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ffff:4c00::/24 | ffff:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ffff:4d00::/24 | ffff:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ffff:4e00::/24 | ffff:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ffff:4f00::/24 | ffff:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ffff:5000::/24 | ffff:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ffff:5100::/24 | ffff:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ffff:5200::/24 | ffff:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ffff:5300::/24 | ffff:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ffff:5400::/24 | ffff:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ffff:5500::/24 | ffff:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ffff:5600::/24 | ffff:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ffff:5700::/24 | ffff:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ffff:5800::/24 | ffff:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ffff:5900::/24 | ffff:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ffff:5a00::/24 | ffff:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ffff:5b00::/24 | ffff:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ffff:5c00::/24 | ffff:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ffff:5d00::/24 | ffff:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ffff:5e00::/24 | ffff:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ffff:5f00::/24 | ffff:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ffff:6000::/24 | ffff:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ffff:6100::/24 | ffff:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ffff:6200::/24 | ffff:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ffff:6300::/24 | ffff:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ffff:6400::/24 | ffff:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ffff:6500::/24 | ffff:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ffff:6600::/24 | ffff:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ffff:6700::/24 | ffff:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ffff:6800::/24 | ffff:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ffff:6900::/24 | ffff:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ffff:6a00::/24 | ffff:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ffff:6b00::/24 | ffff:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ffff:6c00::/24 | ffff:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ffff:6d00::/24 | ffff:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ffff:6e00::/24 | ffff:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ffff:6f00::/24 | ffff:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ffff:7000::/24 | ffff:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ffff:7100::/24 | ffff:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ffff:7200::/24 | ffff:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ffff:7300::/24 | ffff:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ffff:7400::/24 | ffff:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ffff:7500::/24 | ffff:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ffff:7600::/24 | ffff:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ffff:7700::/24 | ffff:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ffff:7800::/24 | ffff:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ffff:7900::/24 | ffff:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ffff:7a00::/24 | ffff:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ffff:7b00::/24 | ffff:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ffff:7c00::/24 | ffff:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ffff:7d00::/24 | ffff:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ffff:7e00::/24 | ffff:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ffff:7f00::/24 | ffff:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ffff:8000::/24 | ffff:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ffff:8100::/24 | ffff:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ffff:8200::/24 | ffff:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ffff:8300::/24 | ffff:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ffff:8400::/24 | ffff:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ffff:8500::/24 | ffff:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ffff:8600::/24 | ffff:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ffff:8700::/24 | ffff:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ffff:8800::/24 | ffff:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ffff:8900::/24 | ffff:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ffff:8a00::/24 | ffff:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ffff:8b00::/24 | ffff:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ffff:8c00::/24 | ffff:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ffff:8d00::/24 | ffff:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ffff:8e00::/24 | ffff:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ffff:8f00::/24 | ffff:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ffff:9000::/24 | ffff:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ffff:9100::/24 | ffff:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ffff:9200::/24 | ffff:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ffff:9300::/24 | ffff:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ffff:9400::/24 | ffff:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ffff:9500::/24 | ffff:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ffff:9600::/24 | ffff:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ffff:9700::/24 | ffff:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ffff:9800::/24 | ffff:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ffff:9900::/24 | ffff:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ffff:9a00::/24 | ffff:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ffff:9b00::/24 | ffff:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ffff:9c00::/24 | ffff:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ffff:9d00::/24 | ffff:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ffff:9e00::/24 | ffff:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ffff:9f00::/24 | ffff:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ffff:a000::/24 | ffff:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ffff:a100::/24 | ffff:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ffff:a200::/24 | ffff:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ffff:a300::/24 | ffff:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ffff:a400::/24 | ffff:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ffff:a500::/24 | ffff:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ffff:a600::/24 | ffff:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ffff:a700::/24 | ffff:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ffff:a800::/24 | ffff:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ffff:a900::/24 | ffff:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ffff:aa00::/24 | ffff:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ffff:ab00::/24 | ffff:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ffff:ac00::/24 | ffff:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ffff:ad00::/24 | ffff:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ffff:ae00::/24 | ffff:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ffff:af00::/24 | ffff:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ffff:b000::/24 | ffff:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ffff:b100::/24 | ffff:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ffff:b200::/24 | ffff:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ffff:b300::/24 | ffff:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ffff:b400::/24 | ffff:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ffff:b500::/24 | ffff:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ffff:b600::/24 | ffff:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ffff:b700::/24 | ffff:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ffff:b800::/24 | ffff:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ffff:b900::/24 | ffff:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ffff:ba00::/24 | ffff:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ffff:bb00::/24 | ffff:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ffff:bc00::/24 | ffff:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ffff:bd00::/24 | ffff:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ffff:be00::/24 | ffff:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ffff:bf00::/24 | ffff:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ffff:c000::/24 | ffff:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ffff:c100::/24 | ffff:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ffff:c200::/24 | ffff:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ffff:c300::/24 | ffff:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ffff:c400::/24 | ffff:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ffff:c500::/24 | ffff:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ffff:c600::/24 | ffff:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ffff:c700::/24 | ffff:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ffff:c800::/24 | ffff:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ffff:c900::/24 | ffff:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ffff:ca00::/24 | ffff:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ffff:cb00::/24 | ffff:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ffff:cc00::/24 | ffff:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ffff:cd00::/24 | ffff:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ffff:ce00::/24 | ffff:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ffff:cf00::/24 | ffff:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ffff:d000::/24 | ffff:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ffff:d100::/24 | ffff:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ffff:d200::/24 | ffff:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ffff:d300::/24 | ffff:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ffff:d400::/24 | ffff:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ffff:d500::/24 | ffff:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ffff:d600::/24 | ffff:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ffff:d700::/24 | ffff:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ffff:d800::/24 | ffff:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ffff:d900::/24 | ffff:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ffff:da00::/24 | ffff:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ffff:db00::/24 | ffff:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ffff:dc00::/24 | ffff:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ffff:dd00::/24 | ffff:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ffff:de00::/24 | ffff:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ffff:df00::/24 | ffff:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ffff:e000::/24 | ffff:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ffff:e100::/24 | ffff:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ffff:e200::/24 | ffff:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ffff:e300::/24 | ffff:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ffff:e400::/24 | ffff:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ffff:e500::/24 | ffff:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ffff:e600::/24 | ffff:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ffff:e700::/24 | ffff:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ffff:e800::/24 | ffff:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ffff:e900::/24 | ffff:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ffff:ea00::/24 | ffff:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ffff:eb00::/24 | ffff:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ffff:ec00::/24 | ffff:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ffff:ed00::/24 | ffff:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ffff:ee00::/24 | ffff:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ffff:ef00::/24 | ffff:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ffff:f000::/24 | ffff:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ffff:f100::/24 | ffff:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ffff:f200::/24 | ffff:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ffff:f300::/24 | ffff:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ffff:f400::/24 | ffff:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ffff:f500::/24 | ffff:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ffff:f600::/24 | ffff:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ffff:f700::/24 | ffff:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ffff:f800::/24 | ffff:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ffff:f900::/24 | ffff:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ffff:fa00::/24 | ffff:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ffff:fb00::/24 | ffff:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ffff:fc00::/24 | ffff:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ffff:fd00::/24 | ffff:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ffff:fe00::/24 | ffff:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ffff:ff00::/24 | ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |